Subject: [Ltru] Re: [EAI] New draft for allowing UTF-8 in SMTP responses

From: "Doug Ewell" <[email-masked]>
Date: Tue, 22 Aug 2006 22:53:22 -0700

This explanation might be slightly different from Addison's.

John C Klensin <klensin at jck dot com> wrote:

> Another issue you didn't mention is that, in an environment in which 
> the language negotiated runs right to left, it not clear where all the 
> pieces go.   Presumably, if this specification doesn't change the 
> syntax specified in 2821 (the examples in this document imply that, 
> but don't state it), we have
>
>        Reply-line = Reply-code [ SP text ] CRLF
>
> But, if "text" can run right to left, do extended reply codes go at 
> the beginning of the string (i.e., to the right) or do they imply a 
> separate subfield... noting that either raises all of the BIDI issues 
> simply because the Reply-code and SP are required to be expressed in 
> Western digits and ASCII characters.

Right-to-left is a display concept only.  All components appear in the 
order specified: first a required Reply-code, then (optionally) a space 
followed by text, then a required CRLF.  How this is displayed or 
printed depends on the directionality of the characters in 'text', but 
the order of the items is always the same.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Ned Freed <[email-masked]>
Date: Wed, 23 Aug 2006 15:48:39 -0700 (PDT)

> the order of the items is always the same.

And RFC 2034 requires that the enhanced status code appear at the beginning of
the text part of the response. There's no wiggle room here IMO.

				Ned

P.S. Now that NOTARY is at draft, it's probably time to drag RFC 2034 forward
as well. Any objections?

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 24 Aug 2006 04:50:51 +0200

Ned Freed wrote:

> Now that NOTARY is at draft, it's probably time to drag RFC
> 2034 forward as well. Any objections?

No, what does it take, an implementation report ?  Almost an
erratum for RFC 4408, where it references RFC 3464 it should
also reference RFC 3463 and RFC 2034 - the section mentioning
5.7.1 is written from the server's POV.  If you need a note
about this from someone who claims to know what RFC 4408 is I
can do.  Maybe fup2 the SMTP list.

Frank

---

From: Martin Duerst <[email-masked]>
Date: Thu, 24 Aug 2006 12:18:44 +0900

Hello Frank,

It may not have been your fault that at some point,
the other mailing list ([email-masked]) that I originally
cross-posted got lost. But the mail below, apart from
being cryptic except for people who have remembering RFC
numbers as a hobby, is all about email and nothing
about language codes, so the LTRU list is definitely
the wrong list to post to.

Regards,     Martin.

>can do.  Maybe fup2 the SMTP list.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: Martin Duerst <[email-masked]>
Date: Thu, 24 Aug 2006 12:18:44 +0900

Hello Frank,

Regards,     Martin.

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 24 Aug 2006 06:33:15 +0200

Martin Duerst wrote:

> at some point, the other mailing list ([email-masked]) that I
> originally cross-posted got lost. But the mail below, apart
> from being cryptic except for people who have remembering
> RFC numbers as a hobby, is all about email and nothing

Yes, I also can't tell why EAI discussions appear here, and
Alexey's draft is about I18N for SMTP responses - neither EAI
nor LTRU, that's why I proposed a followup to the SMTP list:

>> Maybe fup2 the SMTP list.

The cryptic 3461...3464 was my attempt to dedcode the "NOTARY",
apparently the WG creating the predecessors 1891...1894 more
than a decade ago, completely unrelated to language tags, this
is about (mail) delivery status notifications.

As you've seen in another article there is something in common
between RFC 2034, EAI, and LTRU, at some point or another they
try to use Unicode for I18N.  In another article you said:

> Please see http://www.ietf.org/liaisonActivities.html

Thanks for info, appparently added (1)(2) April 2006, the last
time I checked this page was in 2005.

Frank

1: https://datatracker.ietf.org/public/liaisons.cgi
2: https://datatracker.ietf.org/documents/LIAISON/file305.pdf